fair::mq::plugins::DDS Class Reference
Inheritance diagram for fair::mq::plugins::DDS:
[legend]
Collaboration diagram for fair::mq::plugins::DDS:
[legend]

## Public Member Functions

| DDS (const std::string &name, const Plugin::Version version, const std::string &maintainer, const std::string &homepage, PluginServices *pluginServices)
Public Member Functions inherited from fair::mq::Plugin
| Plugin (const std::string name, const Version version, const std::string maintainer, const std::string homepage, PluginServices *pluginServices)
| Plugin (const Plugin &)=delete
Plugin | operator= (const Plugin &)=delete
auto | GetName () const -> const std::string &
auto | GetVersion () const -> const Version
auto | GetMaintainer () const -> const std::string &
auto | GetHomepage () const -> const std::string &
auto | ToDeviceState (const std::string &state) const -> DeviceState
auto | ToDeviceStateTransition (const std::string &transition) const -> DeviceStateTransition
auto | ToStr (DeviceState state) const -> std::string
auto | ToStr (DeviceStateTransition transition) const -> std::string
auto | GetCurrentDeviceState () const -> DeviceState
auto | TakeDeviceControl () -> void
auto | StealDeviceControl () -> void
auto | ReleaseDeviceControl () -> void
auto | ChangeDeviceState (const DeviceStateTransition next) -> void
auto | SubscribeToDeviceStateChange (std::function< void(DeviceState)> callback) -> void
auto | UnsubscribeFromDeviceStateChange () -> void
auto | PropertyExists (const std::string &key) -> int
template<typename T >
auto | SetProperty (const std::string &key, T val) -> void
template<typename T >
auto | GetProperty (const std::string &key) const -> T
auto | GetPropertyAsString (const std::string &key) const -> std::string
auto | GetChannelInfo () const -> std::unordered_map< std::string, int >
auto | GetPropertyKeys () const -> std::vector< std::string >
template<typename T >
auto | SubscribeToPropertyChange (std::function< void(const std::string &key, T newValue)> callback) -> void
template<typename T >
auto | UnsubscribeFromPropertyChange () -> void
auto | SubscribeToPropertyChangeAsString (std::function< void(const std::string &key, std::string newValue)> callback) -> void
auto | UnsubscribeFromPropertyChangeAsString () -> void
auto | CycleLogConsoleSeverityUp () -> void
auto | CycleLogConsoleSeverityDown () -> void
auto | CycleLogVerbosityUp () -> void
auto | CycleLogVerbosityDown () -> void

## Additional Inherited Members

Public Types inherited from fair::mq::Plugin
using | ProgOptions = boost::optional< boost::program_options::options_description >
using | Version = tools::Version
using | DeviceState = fair::mq::PluginServices::DeviceState
using | DeviceStateTransition = fair::mq::PluginServices::DeviceStateTransition
Static Public Member Functions inherited from fair::mq::Plugin
static auto | NoProgramOptions () -> ProgOptions

The documentation for this class was generated from the following files:

- fairmq/plugins/DDS/DDS.h
- fairmq/plugins/DDS/DDS.cxx

privacy